Bug 490357 - Yumex doesn't start
Yumex doesn't start
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-15 13:38 EDT by Flóki Pálsson
Modified: 2009-08-21 06:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-21 06:18:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Flóki Pálsson 2009-03-15 13:38:12 EDT
Description of problem:
Yumex doesn't start. Not form menu, terminlal as normal user ( $)  or root (#)    

Version-Release number of selected component (if applicable):
yumex-2.0.5-6.fc11.noarch

How reproducible:
always 

Steps to Reproduce:
1.
run yumex from terminal as root 
# yumex
2.
3.
  
Actual results:
[root@flokipa ~]# yumex
No protocol specified
Traceback (most recent call last):
  File "/usr/share/yumex/yumex.py", line 29, in <module>
    import gtk,gobject
  File "/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 79, in <module>
    _init()
  File "/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 67, in _init
    _gtk.init_check()
RuntimeError: could not open display
[root@flokipa ~]#

Expected results:
see yumex gui

Additional info:
Comment 1 Flóki Pálsson 2009-03-15 19:55:58 EDT
Now I can not run any  system-config.
There is always Invalid MIT-MAGIC-COOKIE-1

root@flokipa ~]# system-config-nfs
Invalid MIT-MAGIC-COOKIE-1 keysystem-config-nfs þarfnast keyrandi X þjóns.
[root@flokipa ~]# init 3
[root@flokipa ~]# 

root@flokipa ~]# system-config-samba 
Invalid MIT-MAGIC-COOKIE-1 keysystem-config-samba requires a currently running X server.
[root@flokipa ~]# 

root@flokipa ~]# system-config-httpd
Invalid MIT-MAGIC-COOKIE-1 keysystem-config-httpd þarfnast keyrandi X þjóns.
[root@flokipa ~]# 

root@flokipa ~]# /usr/bin/system-config-selinux
Invalid MIT-MAGIC-COOKIE-1 keyTraceback (most recent call last):
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 25, in <module>
    import gtk
  File "/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 79, in <module>
    _init()
  File "/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 67, in _init
    _gtk.init_check()
RuntimeError: could not open display
[root@flokipa ~]#
Comment 3 Flóki Pálsson 2009-03-17 16:39:33 EDT
Now I yumex is ok.
yumex-2.0.5-6.fc11.noarch  

And the problem with system-config and Invalid MIT-MAGIC-COOKIE-1
is not showning up.

I updated form http://koji.fedoraproject.org/koji/packages
Mar 17 18:51:40 Updated: 1:gedit-2.26.0-1.fc11.x86_64
Mar 17 19:09:45 Updated: 1:gdm-2.26.0-2.fc11.x86_64

[root@flokipa ~]# system-config-nfs
[root@flokipa ~]# system-config-samba
[root@flokipa ~]#  system-config-httpd
/usr/share/system-config-httpd/ApacheBase.py:7: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  from md5 import md5
/usr/share/system-config-httpd/CheckList.py:12: DeprecationWarning: use gtk.TreeView
  CList.__init__ (self, 2)
/usr/share/system-config-httpd/ApacheConf.py:122: DeprecationWarning: use gtk.TreeView
  gtk.CList.__init__ (self, 3, [_("Error Code"), _("Behavior"), _("Location")])
You have new mail in /var/spool/mail/root
[root@flokipa ~]# /usr/bin/system-config-selinux

/usr/share/system-config-selinux/system-config-selinux.py:72: Warning: IA__g_object_get_valist: object class `GnomeProgram' has no property named `default-icon'
  xml = gtk.glade.XML ("/usr/share/system-config-selinux/system-config-selinux.glade", domain=PROGNAME)
[root@flokipa ~]# 
[root@flokipa ~]#
Comment 4 Bug Zapper 2009-06-09 08:15:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.